Cyberduck Mountain Duck CLI

#9417 closed defect (fixed)

Upload to B2 churning through Class C Transactions

Reported by: jimgoldstein Owned by:
Priority: high Milestone: 4.9.1
Component: b2 Version: Nightly Build
Severity: critical Keywords:
Cc: Architecture:
Platform:

Description

Hi My 250GB upload to B2 via Cyberduck cut short when my Daily Class C Transactions hit their 2500 free cap. I've since increased this to 1,000,000+, but in my attempt to resume my upload the following happened.

  1. It appears more API calls are being made and counted against my 1,000,000 for assessing files that have been uploaded and remain to upload. I'm not 100% sure if that is happening but I think it is.
  1. During #1 the program crashed. It reported back the event automatically it appears.
  1. I got an error on a large file that is 1.3GB in size during the file prep. Not sure why.
  1. I noticed that the log drawer doesn't show past events until the log drawer is opened. This forced me to repeat my actions to see what the event was in the log.
  1. When I resumed my upload registers as 0B

The good news is that things resumed but it took two tries. Let me know what is going on with the Class C transactions for resumed uploads please.

Thanks

Jim

Change History (6)

comment:1 Changed on Apr 7, 2016 at 8:51:08 AM by dkocher

  • Component changed from core to b2

comment:2 Changed on Apr 7, 2016 at 9:07:53 AM by dkocher

It is a known issue that we use too many Class C transactions because we use a single upload URI (b2_get_upload_url) for each file.

comment:3 Changed on Apr 7, 2016 at 9:11:51 AM by dkocher

Please attach the file cyberduck.log and the crash reports saved in a folder named CrashReporter in the application support directory.

comment:4 Changed on Apr 15, 2016 at 3:25:45 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r20181.

comment:5 Changed on Apr 15, 2016 at 3:25:52 PM by dkocher

  • Milestone changed from 5.0 to 4.9.1

comment:6 Changed on Apr 17, 2016 at 6:12:05 PM by dkocher

  • Summary changed from Resumed Upload to B2 churning through Class C Transactions to Upload to B2 churning through Class C Transactions
Note: See TracTickets for help on using tickets.
swiss made software